{
  inputs,
  self,
  ...
}:
let
  inherit (self.lib) mkHosts;
in
{
  flake = {
    nixosConfigurations = mkHosts {
      sodomgomorrah = {
        system = "x86_64-linux";
      };
      micronix = {
        system = "x86_64-linux";
        extraModules = [
          inputs.chaotic.nixosModules.default
        ];
      };
      tyresidon = {
        system = "x86_64-linux";
      };
    };
    nixosModules.default = ./shared;
  };
}
